Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 74264 - keymaps damaged by /bin/unicode_start
Summary: keymaps damaged by /bin/unicode_start
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-18 21:16 UTC by Miloslav Trmac
Modified: 2015-11-02 23:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-01-20 11:26:53 UTC


Attachments (Terms of Use)

Description Miloslav Trmac 2002-09-18 21:16:02 UTC
Hello,
as per bug #74263, /bin/unicode_start damages active keymap.
While I'm not sure this is fixable in kbd, a workaround would be to
call loadkeys again after each call to unicode_start.

I hope you guys can sort it out ;-)

Comment 1 Miloslav Trmac 2003-01-06 19:48:58 UTC
Same in phoebe. It can be solved / worked around in a simpler way:
set KEYTABLE="-u cz-lat2" in /etc/sysconfig/keyboard
Due to a unquoted $KEYTABLE in /etc/init.d/keyboard, this passes -u
to loadkeys.


Note You need to log in before you can comment on or make changes to this bug.